use crate::Response;
use std::{error::Error, io};
use url::Url;

#[allow(dead_code, unused_assignments, unused_mut, unused_variables)]
mod routes;
pub use routes::*;

pub trait Handler {
    fn handle(u: Url) -> Result<Response, Box<dyn Error + Sync + Send>>;
}

pub fn serve(_h: impl Handler, _port: u16) -> io::Result<()> {
    Ok(())
}

pub fn serve_plain(_h: impl Handler, _port: u16) -> io::Result<()> {
    Ok(())
}
